package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.plc.AddPlcReq;
import org.wcs.model.dto.serve.plc.QueryBasePlcReq;
import org.wcs.model.dto.serve.plc.UpdatePlcReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.plc.QueryBasePlcResp;

import java.util.List;

public interface IPlcService {

    AppServeDataResponse<List<QueryBasePlcResp>> queryPlc(QueryBasePlcReq queryPlcReq); // 条件查询
    AppServeResponse addPlc(AddPlcReq addPlcReq); // 添加PLC
    AppServeResponse updatePlc(UpdatePlcReq updatePlcReq); // 更新数据
    AppServeResponse deletePlc(Integer plcId); // 删除数据
}
